Package org.eclipse.net4j.util.om.trace

## Interface OMTracer

- All Known Implementing Classes:
    `Tracer`

      public interface OMTracer

  A `named` `tracer` within the `hierarchy` of tracers of a `bundle`.
  Author:
    Eike Stepper
  See Also:
    `OMBundle.tracer(String)`, `tracer(String)`, `ContextTracer`
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OMTraceHandlerEvent` | `format​(java.lang.Class<?> context, java.lang.String pattern, java.lang.Object... args)` |
    `OMTraceHandlerEvent` | `format​(java.lang.Class<?> context, java.lang.String pattern, java.lang.Throwable t, java.lang.Object... args)` |
    `OMBundle` | `getBundle()` |
    `java.lang.String` | `getFullName()` |
    `java.lang.String` | `getName()` |
    `OMTracer` | `getParent()` |
    `boolean` | `isEnabled()` |
    `void` | `setEnabled​(boolean enabled)` |
    `OMTraceHandlerEvent` | `trace​(java.lang.Class<?> context, java.lang.String msg)` |
    `OMTraceHandlerEvent` | `trace​(java.lang.Class<?> context, java.lang.String msg, java.lang.Throwable t)` |
    `OMTraceHandlerEvent` | `trace​(java.lang.Class<?> context, java.lang.Throwable t)` |
    `void` | `trace​(OMTraceHandlerEvent traceRecord)` |
    `OMTracer` | `tracer​(java.lang.String name)` |

- - ### Method Detail

    - #### getBundle

          OMBundle getBundle()

    - #### getParent

          OMTracer getParent()

    - #### getName

          java.lang.String getName()

    - #### getFullName

          java.lang.String getFullName()

    - #### isEnabled

          boolean isEnabled()

    - #### setEnabled

          void setEnabled​(boolean enabled)

    - #### trace

          void trace​(OMTraceHandlerEvent traceRecord)

    - #### format

          OMTraceHandlerEvent format​(java.lang.Class<?> context,
                                     java.lang.String pattern,
                                     java.lang.Object... args)

    - #### format

          OMTraceHandlerEvent format​(java.lang.Class<?> context,
                                     java.lang.String pattern,
                                     java.lang.Throwable t,
                                     java.lang.Object... args)

    - #### trace

          OMTraceHandlerEvent trace​(java.lang.Class<?> context,
                                    java.lang.String msg,
                                    java.lang.Throwable t)

    - #### trace

          OMTraceHandlerEvent trace​(java.lang.Class<?> context,
                                    java.lang.String msg)

    - #### trace

          OMTraceHandlerEvent trace​(java.lang.Class<?> context,
                                    java.lang.Throwable t)

    - #### tracer

          OMTracer tracer​(java.lang.String name)